PrepareIndex[mu, nu, tau, sig]
SetMass[{WBoson, Sqrt[x]}, {Electron, 0}]
SetReal[x,cth]; Unprotect[Conjugate];
Conjugate[g_[h_]]:=Conjugate[g][Conjugate[h]]; Protect[Conjugate];
k1={0,0,1,1}/2; k2={0,0,-1,1}/2;
{k3,k4}=Decay[k1+k2,{cth,0},{0,Sqrt[x]}];
keps={1,I,0,0}/Sqrt[2]; t = Together[-2 DP[k1,k3]]; u = Together[-2
DP[k2,k3]]; s=1; 
eps/: DP[eps,p1] = 0; eps/: DP[eps,p2] = 0; eps/: DP[eps, Conj[eps]]=-1
p1/: DP[p1, Conjugate[eps]] = 0; p2/: DP[p2, Conjugate[eps]] = 0; 
SetMandelstam[{p1, p2, p3, p4}, {0,0,0,Sqrt[x]}, s, t, u];
mm = MasslessVectorPolarization[p2, mu] HeavyVectorPolarization[p4, nu] *
	SpinorUbar[p3] ** (
	Vertex[ElectronNeutrino, Electron, {WBoson, p4-p2, sig}] *
	Propagator[{WBoson, p4-p2, sig, tau}] *
	Vertex[{WBoson, p4-p2, tau}, {WBoson, -p4, nu}, {Photon, p2, mu}] +
	Vertex[ElectronNeutrino, Electron, {WBoson, p4, nu}] **
	Propagator[{Electron, p1+p2}] **
	Vertex[Electron, Electron, {Photon, p2, mu}]) ** SpinorU[p1];
mm = Contract[Expand[ExpandSlash[mm]], {sig, tau}];
mm = Factor[Expand[mm/I]];
mm = Collect[#, NonCommutativeMultiply]& /@ mm;
mm = mm /. MasslessVectorPolarization[p2,mu]->eps[mu];
mm = mm /. {Sin[ThetaW]->1, Pi->1, Alpha->1};
mm = Commute[Contract[mm, mu], {Sl[p1],Sl[eps]}];
mm = Collect[#, NCM]& /@ Together /@ Collect[mm, HeavyVectorPolarization];
me2 = Contract[AbsSquared[mm], {nu, Conjugate[nu]}] /.Eps[p1,p2,p3,p4]->0;
(* This calculation will take quite a long time *)

