#include "mdefs.h"
#include <math.h>
#include <stdio.h>
#include "skel.h"
#include "complex.h"
#include "fv.h"
#include "vegas.h"
#include "sm.h"

#define s 1.0

extern double global_s;

double fn( <* SpinorTechniques`Private`anglefndeclarations *> )
{
/* insert declarations */
<* SpinorTechniques`Private`declarations *>

<* SpinorTechniques`Private`fvdeclarations *>

<* SpinorTechniques`Private`compdeclarations *>

/* set up initial momenta here */
<* SpinorTechniques`Private`initmom *>

/* insert the decays here */
<* SpinorTechniques`Private`decays *>

/* insert defns of dotproducts here */
<* SpinorTechniques`Private`dotproducts *>

/* insert defns of S's and T's here */
<* SpinorTechniques`Private`stdefns *>

/* insert the integrand here */
<* SpinorTechniques`Private`integrand2 *>

fv_restart();
complex_restart();

/* insert the return statement */
<* SpinorTechniques`Private`returnstatement *>

}
