#include "mdefs.h"
#include <math.h>
#include <stdio.h>
#include "skel.h"
#include "complex.h"
#include "fv.h"
#include "vegas.h"
#include "sm.h"

#define s 1.0

#define NUM_DIMENSIONS <* SpinorTechniques`Private`numdim *>

#define MAX_BINS 50
#define MAX_ITERATIONS_1 3
#define MAX_ITERATIONS_2 1
#define NUM_CALLS_1 1000
#define NUM_CALLS_2 3000

double global_s = 1000000.0;

extern double fn( <* SpinorTechniques`Private`anglefndeclarations *> );

double mesq( double x[] )
{
/*
<* SpinorTechniques`Private`angledeclarations *>
*/

/*
return fn( <* SpinorTechniques`Private`angles *> );
*/
return fn( <* SpinorTechniques`Private`xs *> );
}

main(int argc, char *argv[])
{

double integral, sd, chisq;
num_dim = NUM_DIMENSIONS;
bins_max = MAX_BINS ;

output_file=fopen("int.out","w");

complex_initialize(20);
fv_initialize(20);

/* limits of integrals go in here */
<* SpinorTechniques`Private`limits *>

/*
for (ct = -1.0; ct <= 1.0; ct += 0.1)
{
*/

/*  first refine the grid  */
max_it_num = MAX_ITERATIONS_1;
calls = NUM_CALLS_1;
prn = -1;
vegas (mesq, &integral, &sd, &chisq);

/*  now calculate the integral  */
max_it_num = MAX_ITERATIONS_2;
calls = NUM_CALLS_2;
prn = -1;
vegas1 (mesq, &integral, &sd, &chisq);

	integral *= pb;
	sd *= pb;

/*
printf("%g  %g\n", ct, integral);
*/

printf("\n\nThe integral is %e +/- %e (%e)\n",integral,sd,chisq);
fprintf(output_file,
        "\n\nThe integral is %e +/- %e (%e)\n",integral,sd,chisq);

/*
}
*/

fclose(output_file);
fv_terminate();
complex_terminate();

return 0;
}
